using System;
using System.Collections.Generic;
using System.Text;
using XYY.Core.Standard.Data.Infrastructure;
using XYY.Model.Standard.OrderAddressCheck;
using Dapper;
using System.Threading.Tasks;

namespace XYY.Data.Standard.OrderAddressCheck
{
    public interface IUPSAreasRepository : IBaseRepository<UPSSLAreas>
    {
        Task<IEnumerable<UPSSLAreas>> GetAll();
    }

    public class UPSAreasRepository : BaseRepository<UPSSLAreas>, IUPSAreasRepository
    {
        public UPSAreasRepository(IUnitOfWork unitOfWork)
            : base(unitOfWork)
        { }

        public async Task<IEnumerable<UPSSLAreas>> GetAll()
        {
            return await _unitOfWork.QueryAsync<UPSSLAreas>();
        }
    }
}
